Subject: bug#40047: 26.2; Images in tooltip-mode tooltips broken on Linux and OSX

From: martin rudalics <[email-masked]>
Date: Sat, 14 Mar 2020 09:49:24 +0100

> Thanks for testing.  So I guess the problem is that we fail to
 > instruct the native tooltips to display the image or use the correct
 > dimensions, for some reason, and the problem doesn't exist on Windows
 > because we always use our own code for tooltips there.
 >
 > Patches to fix the native case are welcome.

The native case is neither broken nor can it be fixed.  Tooltips like
those provided by GTK, Windows or many desktops are supposed to provide
a uniform look across all sorts of applications that use them so that
the user can easily recognize tooltips as what they are.  That's why they
usually have customizable backgrounds, fonts and borders.  Applications
are not supposed to meddle with them.

martin